Create Activation Key

[POST] /caui/v1/activation-keys/manage/activation-key

You can create an activation key using this API. While creating an activation key, you can specify the Qualys applications to be activated for associated Cloud Agents, Key Type, Expiry Date, and so on.

Permissions required - Managers with full scope. Other users must have these permissions: Access Permission — API Access, and CA Activation Key Permission — Create Activation Key.

Input Parameters

Parameter Mandatory/Optional Data Type Description
title Optional String Enter the activation key title. If the field is not provided, a key with a blank title is created.
networkId Optional Integer Enter the network ID for the key. The Cloud Agents installed with this key will use the specified network ID.
expireDate Optional Date Enter the expiry date for the key in UTC/GMT format, i.e., YYYY-MM-DD. If the field is not provided, a key with no expiry date limit is created.
maxAgentsAllowed Optional Integer Specify the number of agents allowed to be installed with this key. If the maximum agent count is not defined, the key can be used to install a maximum up to 1000000 Cloud Agents.

Valid range: 1-1000000.
licenses Optional String Provision one or more Qualys applications for the key.

Valid values: VM, PC/PA, FIM, EDR, SCA, PM, CAPS, SwCA, MTG, ISL, and so on.
tags Optional Integer Enter the tag IDs for this key. These tags will be assigned to the Cloud Agents installed with the key.

 

Sample: Create an Activation KeySample: Create an Activation Key

API request


    curl --location --request POST '<qualys_base_url> /caui/v1/activation-keys/manage/activation-key'
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <JWT Token>' 
    

API Request Body

--data ''
    {
      "title": "Test Activation Key",
      "networkId": 123456,
      "expireDate": "2026-09-08",
      "maxAgentsAllowed": 100,
      "licenses": [
        "VM","PC","PM"
      ],
      "tags": [
        123456
      ]
    }

API Response


    {
      "id": 123456,
      "title": “Test Activation Key”,
      "activationKey": "12ba12bc-effd-12e3-1234-12345ac12345",
      "networkId": 123456,
      "countUsed": 0,
      "countPurchased": 100,
      "datePurchased": "2025-09-08T19:43:45.378378608",
      "firstName": "John",
      "lastName": "Doe",
      "userName": "<username>",
      "keyType": "Count Time Limited",
    "expireDate": "2026-09-08"
      "isDisabled": false,
      "licenses": [
        "PM",
        "VM",
        "SCA"
      ],
      "tags": [],
      "applyToExistingAgents": false
    }